### Home Classes Methods

### In Files

- lib/redcloth/formatters/base.rb

### Methods

- #ignore
- #inline_redcloth_version
- #notextile
- #redcloth_version

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- RedCloth
- RedCloth::Formatters
- RedCloth::Formatters::Base
- RedCloth::Formatters::HTML
- RedCloth::Formatters::LATEX
- RedCloth::Formatters::LATEX::Settings
- RedCloth::TextileDoc
- RedCloth::VERSION
- ERB
- ERB::Util
- Object

No matching classes.

# RedCloth::Formatters::Base

### Public Instance Methods

ignore(opts) click to toggle source

    # File lib/redcloth/formatters/base.rb, line 4
    def ignore(opts)
      opts[:text]
    end

Also aliased as: notextile
inline_redcloth_version(opts) click to toggle source

    # File lib/redcloth/formatters/base.rb, line 13
    def inline_redcloth_version(opts)
      RedCloth::VERSION::STRING
    end

notextile(opts) click to toggle source
Alias for: ignore
redcloth_version(opts) click to toggle source

    # File lib/redcloth/formatters/base.rb, line 9
    def redcloth_version(opts)
      p(:text => "#{opts[:prefix]}#{RedCloth::VERSION}")
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.